cURL
curl "https://rxresu.me/api/openapi/documents/page" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/documents/page"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/documents/page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/documents/page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/documents/page"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/documents/page")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/documents/page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"type": "resume",
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"isLocked": true,
"isPublic": true,
"slug": "<string>",
"trashedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"application": {
"id": "<string>",
"company": "<string>",
"role": "<string>"
}
}
],
"total": 123,
"counts": {
"resume": 123,
"letter": 123
},
"tags": [
"<string>"
],
"hasPublic": true
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Documents
List a document page
Returns at most 100 documents with filtered totals and tag filters. Counts ignore the type tab. Tags show the first 100 alphabetically; search discovers further tags. Name order uses database case-insensitive ordering; dates use newest first. Type and ID break ties. Offset pages reflect current data; restart after edits. Requires authentication.
GET
/
documents
/
page
cURL
curl "https://rxresu.me/api/openapi/documents/page" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/documents/page"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/documents/page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/documents/page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/documents/page"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/documents/page")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/documents/page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"type": "resume",
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"isLocked": true,
"isPublic": true,
"slug": "<string>",
"trashedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"application": {
"id": "<string>",
"company": "<string>",
"role": "<string>"
}
}
],
"total": 123,
"counts": {
"resume": 123,
"letter": 123
},
"tags": [
"<string>"
],
"hasPublic": true
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Query Parameters
Available options:
all, resume, letter Maximum string length:
500Maximum array length:
20Required string length:
1 - 40Available options:
edited, name, created Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991